Disk ARchive: libdar::database_change_path_options Class Reference

| Disk ARchive 2.8.1 Full featured and portable backup and archiving tool

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
libdar::database_change_path_options Class Reference
API

options for changing a given archive's path More...

`#include <database_options.hpp>`

## Public Member Functions
| database_change_path_options (const database_change_path_options &ref)=default
| database_change_path_options (database_change_path_options &&ref) noexcept=default
database_change_path_options & | operator= (const database_change_path_options &ref)=default
database_change_path_options & | operator= (database_change_path_options &&ref) noexcept=default
void | clear ()
void | set_revert_archive_numbering (bool revert)
| defines whether the archive number is counted from the beginning or from the end of the database
bool | get_revert_archive_numbering () const

## Private Attributes
bool | x_revert_archive_numbering

## Detailed Description

options for changing a given archive's path

Definition at line 196 of file database_options.hpp.

## Constructor & Destructor Documentation

## ◆ database_change_path_options()

libdar::database_change_path_options::database_change_path_options | ( |  | ) |
| inline

Definition at line 199 of file database_options.hpp.

## Member Function Documentation

## ◆ clear()

void libdar::database_change_path_options::clear | ( |  | ) |
| inline

Definition at line 206 of file database_options.hpp.

## ◆ get_revert_archive_numbering()

bool libdar::database_change_path_options::get_revert_archive_numbering | ( |  | ) | const
| inline

Definition at line 211 of file database_options.hpp.

## ◆ set_revert_archive_numbering()

void libdar::database_change_path_options::set_revert_archive_numbering | ( | bool | revert | ) |
| inline

defines whether the archive number is counted from the beginning or from the end of the database

Definition at line 209 of file database_options.hpp.

## Member Data Documentation

## ◆ x_revert_archive_numbering

bool libdar::database_change_path_options::x_revert_archive_numbering
| private

Definition at line 214 of file database_options.hpp.

The documentation for this class was generated from the following file:

- database_options.hpp